function Invoke-CMDBweblaunch {

    param {
        [string]$comp
    }
    Write-Host "Querying CMDB..." 

    try { $cmdbData = Search-ISMBO -bo cis -filter "name eq '$comp'" -RawFilter } catch { $cmdbData = $null}
        if($null -eq $cmdbData){
            Write-Host "CMDB hostname mismatch" -ForegroundColor Yellow
            Write-Host "Running Get-PC Lookup for asset tag"
            $getpcData = get-pc $comp
            try { 
                
                ## $cmdbData = Get-LANDeskCMDBItem -AssetTag $getpcData.'Asset Tag'
                $cmdbData = Search-ISMBO -bo cis -filter "assettag eq '$($getpcData.'Asset Tag')'" -RawFilter
            } catch{ $cmdbData = $null }
            if($null -eq $cmdbData){
                Write-Warning "Unable to find record with assset tag in CMDB"
                Write-Host "Unable to launch record page" -ForegroundColor Yellow
                return
            }
        }
    
    
    Write-Host "CMDB record found - launching Landesk page in IE"
    # $uri = "https://shslandesk/WebAccess/wd/object/open.rails?class_name=_CMDBManagement.Call&key="
    # $fulluri = $uri + $cmdbData.key
    $fulluri = "https://samaritanhealth-amc.ivanticloud.com/login.aspx?Scope=ObjectWorkspace&CommandId=Search&ObjectType=CI%23" + $cmdbdata.CIType + "&CommandData=RecId%2C%3D%2C0%2C" + $cmdbdata.RecId + "%2Cstring%2CAND%2C%7C"

    Start-Process $fulluri
    return
}